Refresh and return runtime health for a machine volume attachment
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/volumes/{attachment_id}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/volumes/{attachment_id}/health \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"volume_id": "<string>",
"machine_id": "<string>",
"mount_path": "<string>",
"read_only": true,
"state": "requested",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"subpath": "<string>",
"last_error_code": "<string>",
"last_error_message": "<string>"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Volumes
Refresh and return runtime health for a machine volume attachment
GET
/
v1
/
machines
/
{id}
/
volumes
/
{attachment_id}
/
health
Refresh and return runtime health for a machine volume attachment
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/volumes/{attachment_id}/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/volumes/{attachment_id}/health \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"volume_id": "<string>",
"machine_id": "<string>",
"mount_path": "<string>",
"read_only": true,
"state": "requested",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"subpath": "<string>",
"last_error_code": "<string>",
"last_error_message": "<string>"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
API key passed as Bearer token
Response
Volume attachment health
Normalized machine mount path for the attached volume.
Available options:
requested, mounting, mounted, paused, remounting, unmounted, releasing, released, failed